MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000036Hall D OfflineGeneralpublic2011-01-07 22:582012-01-30 11:35
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000036: Benchmark tracking code
DescriptionAs suggested by Dimitry Emeliyanov during am ad hoc meeting after the GlueX Software Tutorial on Jan. 7th, 2011:

Do a finer grained bench marking of the tracking code. In particular, look at the overhead incurred by the framework used by all track fitters.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000051)
davidl (administrator)
2011-01-24 09:23

Some initial work on this has begun. A new trk_profile plugin was committed to the repository along with some modifications to DTrackFitter and a new prof_time.h tool in revision 7267 on Jan. 13th. Initial tests indicated fitting one track (wire-based or time-based) takes around 10ms after some recent mods by Simon.

I'm not quite marking this done yet as there may be some more benchmarking needed because we are still a factor of 10 slower than ATLAS.
(0000268)
davidl (administrator)
2012-01-30 11:35

No additional work has been done on this since the note 1 year ago. At this point, I will call this done.

- Issue History
Date Modified Username Field Change
2011-01-07 22:58 davidl New Issue
2011-01-24 09:18 davidl Status new => assigned
2011-01-24 09:18 davidl Assigned To => davidl
2011-01-24 09:23 davidl Note Added: 0000051
2012-01-30 11:35 davidl Note Added: 0000268
2012-01-30 11:35 davidl Status assigned => resolved
2012-01-30 11:35 davidl Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker